PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
pw_endpoint_stream_events Struct Reference
Extensions » Session Manager

`#include <pipewire/extensions/session-manager/interfaces.h>`

## Data Fields
uint32_t | version
| version of this structure
void(* | info )(void *data, const struct pw_endpoint_stream_info *info)
| Notify endpoint stream info.
void(* | param )(void *data, int seq, uint32_t id, uint32_t index, uint32_t next, const struct spa_pod *param)
| Notify a endpoint stream param.

## Field Documentation

## ◆ version

uint32_t pw_endpoint_stream_events::version

version of this structure

## ◆ info

void(* pw_endpoint_stream_events::info) (void *data, const struct pw_endpoint_stream_info *info)

Notify endpoint stream info.

Parameters

  info | info about the endpoint stream

## ◆ param

void(* pw_endpoint_stream_events::param) (void *data, int seq, uint32_t id, uint32_t index, uint32_t next, const struct spa_pod *param)

Notify a endpoint stream param.

Event emitted as a result of the enum_params method.

Parameters

  seq | the sequence number of the request
  id | the param id
  index | the param index
  next | the param index of the next param
  param | the parameter

The documentation for this struct was generated from the following file:

- pipewire/extensions/session-manager/interfaces.h